package body MSHTML.IHTMLAttributeCollection2_Object is

   function getNamedItem
     (This     : IHTMLAttributeCollection2_Type;
      bstrName : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLAttributeCollection2_getNamedItem,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => bstrName),
         Free);
   end getNamedItem;

   function setNamedItem
     (This   : IHTMLAttributeCollection2_Type;
      ppNode : GNATCOM.Types.VARIANT;
      Free   : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLAttributeCollection2_setNamedItem,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => ppNode),
         Free);
   end setNamedItem;

   function removeNamedItem
     (This     : IHTMLAttributeCollection2_Type;
      bstrName : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLAttributeCollection2_removeNamedItem,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => bstrName),
         Free);
   end removeNamedItem;

end MSHTML.IHTMLAttributeCollection2_Object;

